using System;
using System.Collections.Generic;
using System.Text;

namespace DependencyTest
{
    public class RegistryDependency : DependencyBase
    {
        
        public override bool Check()
        {
            string[] configValues = this.Config.Split('|');
            string regPath = configValues[0];
            string regValueName = configValues[1];
            string desiredValue = configValues[2];

            return Helpers.RegistryHelper.IsValueAt(regPath,
                regValueName, 
                desiredValue);
        }
    }
}
