@echo off
@REM ----------------------------------------------------------------------------------
@REM buildDinnerNow.bat
@REM 
@REM This Batch file Builds the Dependency Checker tool for LitewareHR
@REM
@REM ----------------------------------------------------------------------------------

set msBuildDir=%WINDIR%\Microsoft.NET\Framework\v2.0.50727
set solutionDir="."
set buildType=Release
set returnErrorCode=true
set verbosity=quiet
set pause=true
set solutionFolder=%1\

@echo Building "LitwareHR Dependency Checker"
call %msBuildDir%\msbuild %solutionFolder%DC1.sln /t:Rebuild /p:Configuration=%buildType% /verbosity:%verbosity%
@if errorlevel 1 goto error
@echo Build Complete
call %solutionFolder%DC1\bin\Release\DC1.exe

:error
@echo An Error Occured while building the LitwareHR Dependency Checker
@echo The Dependency checker requires the .net framework 2.0 to be installed.
@echo NOTE: You should also run the Dependency Checker from an Elevated Command Prompt.
