<%@ Page Language="C#" MasterPageFile="~/MP/Classic.master" AutoEventWireup="true"
    CodeFile="Default.aspx.cs" Inherits="TryWizard_Default" %>

<asp:Content ID="Content1" ContentPlaceHolderID="PageContainer" runat="Server">
    <h1>Organization information</h1>
    
    <table>
        <tr>
            <td>
                <asp:Label ID="nameLabel" runat="server" Text="Legal name"></asp:Label></td>
            <td style="width: 110px">
                <asp:TextBox ID="nameTextBox" runat="server" Width="100px"></asp:TextBox>
            </td>
            <td>
                <asp:RequiredFieldValidator ID="legalNameRequired" runat="server" ControlToValidate="nameTextBox"
                    ErrorMessage="Legal name is required.">*</asp:RequiredFieldValidator></td>
            <td>
                <em>Like "Contoso LLC"</em>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="aliasLabel" runat="server" Text="Alias"></asp:Label></td>
            <td>
                <asp:TextBox ID="aliasTextBox" runat="server" Width="100px"></asp:TextBox>
            </td>
            <td>
                <asp:RequiredFieldValidator ID="aliasRequired" runat="server" ControlToValidate="aliasTextBox" ErrorMessage="Alias is required." SetFocusOnError="True">*</asp:RequiredFieldValidator>
                <asp:RegularExpressionValidator ID="aliasValid" runat="server" ControlToValidate="aliasTextBox" ErrorMessage="Alias must not contain non-word characters" ValidationExpression="(\w)*" Display="Static">*</asp:RegularExpressionValidator>
            </td>
            <td>
                <em>Like "contoso"</em>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="sizeLabel" runat="server" Text="Domain model"></asp:Label></td>
            <td>
                <asp:RadioButton ID="domainModelRadioButton1" Text="small" runat="server" GroupName="domainModel"
                    Checked="True" />
                <asp:RadioButton ID="domainModelRadioButton2" Text="medium" runat="server" GroupName="domainModel" /></td>
            <td>
            </td>
            <td>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="passwordLabel" runat="server" Text="Admin Password"></asp:Label></td>
            <td>
                <asp:TextBox ID="passwordTextBox" TextMode="Password" runat="server" Width="100px"></asp:TextBox>
            </td>
            <td>
                <asp:RequiredFieldValidator ID="passwordRequired" runat="server" ControlToValidate="passwordTextBox"
                    ErrorMessage="Admin Password is required." SetFocusOnError="True">*</asp:RequiredFieldValidator></td>
            <td rowspan="2">
                <em>You need a string password with at least one non alphanumeric character and a minimum lenght of 8 characters.</em>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="confirmPasswordLabel" runat="server" Text="Confirm Password"></asp:Label></td>
            <td>
                <asp:TextBox ID="confirmPasswordTextBox" runat="server" TextMode="Password" Width="100px"></asp:TextBox></td>
            <td>
                <asp:CompareValidator ID="confirmPasswordCompare" runat="server" ControlToCompare="confirmPasswordTextBox"
                    ControlToValidate="passwordTextBox" ErrorMessage="The Password and Confirmation Password must match.">*</asp:CompareValidator></td>
        </tr>
    </table>
    <asp:ValidationSummary ID="ValidationSummary" runat="server" />
    <br />
    <asp:Button ID="DoProvisioningButton" runat="server" Text="Provision the application" OnClick="DoProvisioningButton_Click" />
</asp:Content>
