<%@ Page Language="C#" MasterPageFile="~/MP/Classic.master" AutoEventWireup="true"
    CodeFile="EditEntity.aspx.cs" Inherits="ConfigCusto_EditEntity" %>

<asp:Content ID="Content1" ContentPlaceHolderID="PageContainer" runat="Server">
    <table>
        <tr>
            <td colspan="3">
                <h2>
                    Shared schema</h2>
                <asp:GridView ID="SharedFieldsGrid" ToolTip="The shared schema is static" runat="server"
                    AutoGenerateColumns="False" Width="100%">
                    <Columns>
                        <asp:BoundField DataField="name" HeaderText="Field">
                            <HeaderStyle Width="155px" />
                        </asp:BoundField>
                        <asp:BoundField DataField="typeName" HeaderText="Type">
                            <HeaderStyle Width="155px" />
                        </asp:BoundField>
                    </Columns>
                    <HeaderStyle HorizontalAlign="Left" />
                </asp:GridView>
            </td>
        </tr>
        <tr>
            <td colspan="3">
                <h2>
                    Custom schema</h2>
                <asp:GridView ID="CustomFieldsGrid" runat="server" AutoGenerateColumns="False" OnRowDeleting="CustomFieldsGrid_RowDeleting"
                    Width="100%">
                    <Columns>
                        <asp:BoundField DataField="name" HeaderText="Field">
                            <HeaderStyle Width="155px" />
                        </asp:BoundField>
                        <asp:BoundField DataField="typeName" HeaderText="Type">
                            <HeaderStyle Width="155px" />
                        </asp:BoundField>
                        <asp:CommandField DeleteText="Remove" ShowDeleteButton="True" />
                    </Columns>
                    <HeaderStyle HorizontalAlign="Left" />
                </asp:GridView>
            </td>
        </tr>
        <tr>
            <td>
                <asp:TextBox ID="NameTextBox" runat="server" Width="150px"></asp:TextBox>&nbsp;
                <asp:RequiredFieldValidator ID="NameRequired" runat="server" ErrorMessage="Please enter a name for the field"
                    ControlToValidate="NameTextBox">*</asp:RequiredFieldValidator>
            </td>
            <td>
                <asp:DropDownList ID="FieldDropDown" runat="server" Width="150px" DataTextField="Value"
                    DataValueField="Key">
                </asp:DropDownList>
            </td>
            <td>
                <asp:Button ID="AddButton" runat="server" Text="Add" OnClick="AddButton_Click" Width="50px" /></td>
        </tr>
        <tr>
            <td>
                &nbsp;</td>
            <td>
            </td>
            <td>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Button ID="SaveButton" runat="server" Text="Save configuration" OnClick="SaveButton_Click"
                    CausesValidation="False" /></td>
            <td>
            </td>
            <td>
            </td>
        </tr>
    </table>
    <asp:ValidationSummary ID="ValidationSummary" runat="server" />
</asp:Content>
