<%@ Page Language="C#" MasterPageFile="~/MP/Classic.master" AutoEventWireup="true"
    CodeFile="Ruleset.aspx.cs" Inherits="ConfigCusto_Process_Ruleset" %>

<asp:Content ID="Content1" ContentPlaceHolderID="PageContainer" runat="Server">
    <h3>
        Ruleset Editor
    </h3>
    <p>
        <asp:GridView ID="RulesetGridView" runat="server" AutoGenerateColumns="False" Width="100%"
            OnRowDataBound="RulesetGridView_RowDataBound" OnRowCommand="RulesetGridView_RowCommand"
            OnRowCreated="RulesetGridView_RowCreated" ShowFooter="True" BorderWidth="0px">
            <Columns>
                <asp:TemplateField>
                    <ItemTemplate>
                        <asp:ImageButton ID="ImageButtonDelete" CommandName="deleteStep" runat="server" ImageUrl="~/imx/delete.PNG" />
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField>
                    <ItemTemplate>
                        <asp:ImageButton ID="ImageButtonMoveUp" CommandName="moveUpStep" runat="server" ImageUrl="~/imx/up.PNG" />
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField>
                    <ItemTemplate>
                        <asp:ImageButton ID="ImageButtonMoveDown" CommandName="moveDownStep" runat="server"
                            ImageUrl="~/imx/down.PNG" />
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField>
                    <ItemTemplate>
                        If
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField>
                    <ItemTemplate>
                        <asp:DropDownList ID="PropertyDropDown" runat="server" AutoPostBack="True" OnSelectedIndexChanged="PropertyDropDown_SelectedIndexChanged"
                            Width="100px">
                        </asp:DropDownList>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField>
                    <ItemTemplate>
                        <asp:DropDownList ID="OperationDropDown" runat="server" AutoPostBack="True" OnSelectedIndexChanged="OperationDropDown_SelectedIndexChanged"
                            Width="100px">
                        </asp:DropDownList>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField>
                    <ItemTemplate>
                        <asp:TextBox ID="ValueTextBox" runat="server" Width="100px">
                        </asp:TextBox>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField>
                    <ItemTemplate>
                        Then
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField>
                    <ItemTemplate>
                        <asp:DropDownList ID="WorkflowDropDown" runat="server" AutoPostBack="True" OnSelectedIndexChanged="WorkflowDropDown_SelectedIndexChanged"
                            Width="100px">
                        </asp:DropDownList>
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>
    </p>
    <asp:Button ID="AddButton" runat="server" OnClick="AddButton_Click" Text="Add Step" EnableViewState="False" />
    <asp:Button ID="SaveButton" runat="server" Text="Save" OnClick="SaveButton_Click" />
    <asp:Button ID="CancelButton" runat="server" OnClick="CancelButton_Click" Text="Cancel" />
</asp:Content>
