//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Collections.Generic;
using System.Text;

namespace LitwareHR.Recruiting.Workflows
{
    internal static class Constants
    {
        #region Activity Names

        internal const string InterviewActivityTypeName = "InterviewActivity";
        internal const string NegotiationActivityTypeName = "NegotiationActivity";
        internal const string ResultActivityTypeName = "ResultActivity";

        #endregion

        #region Steps

        internal const string InterviewStep = "Interview";
        internal const string NegotiationStep = "Negotiation";
        internal const string AcceptanceStep = "Acceptance";
        internal const string RejectionStep = "Rejection";
        internal const string AcceptedStep = "Accepted";
        internal const string NotAcceptedStep = "Not Accepted";

        #endregion
    }
}