//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Runtime.Serialization;

namespace Shp.Runtime.Contract
{
    [DataContract, Serializable]
    public class MainMenuItem
    {
        private object _id;
        [DataMember]
        public object Id
        {
            get { return _id; }
            set { _id = value; }
        }

        private string _description;
        [DataMember]
        public string Description
        {
            get { return _description; }
            set { _description = value; }
        }

        private string _url;
        [DataMember]
        public string Url
        {
            get { return _url; }
            set { _url = value; }
        }

        private bool _isPublic;
        [DataMember]
        public bool IsPublic
        {
            get { return _isPublic; }
            set { _isPublic = value; }
        }
    }
}
