@echo off
@REM ----------------------------------------------------------------------------------
@REM 
@REM This Batch file Build Litware Sample Application
@REM
@REM ----------------------------------------------------------------------------------

set msBuildDir=%WINDIR%\Microsoft.NET\Framework\v2.0.50727
set solutionDir="."
set buildType=Debug
set returnErrorCode=true
set verbosity=quiet
set pause=true

@echo Building "Litware Sample Application - LitwareHR.sln"
call %msBuildDir%\msbuild "..\Src\Litware\LitwareHR.sln" /t:Rebuild /p:Configuration=%buildType% /verbosity:%verbosity%
@if errorlevel 1 goto :error
@echo Build Complete


@goto :exit

:error
@echo An Error Occured building the LitwareHR Solution

:exit
@echo Finished
pause