using System;
using System.Collections.Generic;
using System.Text;
using System.Management;

namespace DependencyTest.Helpers
{
    static class OperatingSystem
    {
        public static int GetOsBuild()
        {
            ManagementObjectSearcher searcher = WmiHelper.RunWMIQuery("win32_operatingsystem");
            foreach(ManagementObject mo in searcher.Get())
            {
                return int.Parse(mo.SystemProperties["BuildNumber"].Value.ToString());
            }
            return 0;
        }
    }
}
