using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace DependencyTest
{
    public class SDKDependency : DependencyBase
    {
        public override bool Check()
        {
            string sdkdirectory = Helpers.RegistryHelper.GetValue(@"SOFTWARE\Microsoft\.NETFramework\",
                "sdkInstallRootv2.0");
            if (sdkdirectory != null && Directory.Exists(sdkdirectory))
            {
                sdkdirectory += "Bin\\";
                return (File.Exists(sdkdirectory + "certmgr.exe") && File.Exists(sdkdirectory + "makecert.exe"));
            }
            return false;
        }
    }
}
