USE TrackingStore
GO

DECLARE @TypeId int
DECLARE @ret smallint

/****** Look up or insert the type of the Workflow ******/
EXEC @ret = [dbo].[GetTypeId]	@TypeFullName	= 'LitwareHR.Recruiting.Workflows.EvaluationProcess'
								,@AssemblyFullName	= 'LitwareHR.Recruiting.Workflows, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null'
								,@TypeId			= @TypeId OUTPUT
/****** DELETE CANDIDATE EVALUATION PROCESS WORKFLOW TRACKING PROFILE ******/
DELETE FROM [dbo].[TrackingProfile] WHERE WorkflowTypeId = @TypeId

/****** DELETE CANDIDATE EVALUATION PROCESS WORKFLOW TYPE ******/
DELETE FROM [dbo].[Type] WHERE TypeId = @TypeId

/****** Look up or insert the type of the Workflow ******/
EXEC @ret = [dbo].[GetTypeId]	@TypeFullName	= 'LitwareHR.Recruiting.Workflows.RecruitingProcess'
								,@AssemblyFullName	= 'LitwareHR.Recruiting.Workflows, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null'
								,@TypeId			= @TypeId OUTPUT
								
/****** DELETE RECRUITING PROCESS WORKFLOW PROFILE ******/
DELETE FROM [dbo].[TrackingProfile] WHERE WorkflowTypeId = @TypeId

/****** DELETE RECRUITING PROCESS WORKFLOW TYPE ******/
DELETE FROM [dbo].[Type] WHERE TypeId = @TypeId
GO


