//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using LitwareHR.Portfolio.Gateways;

public partial class TryWizard_Default : System.Web.UI.Page
{
    protected void DoProvisioningButton_Click(object sender, EventArgs e)
    {
        if (Page.IsValid)
        {
            string name = nameTextBox.Text;
            string alias = aliasTextBox.Text;
            int domainModel = 0;
            if (domainModelRadioButton2.Checked == true)
                domainModel = 1;
            string password = passwordTextBox.Text;
            ProvisioningGateway.DoProvisioning(name, alias, domainModel, password);
            Response.Redirect("Try.aspx?alias=" + alias);
        }
    }
}
