//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Collections.Generic;
using System.Runtime.Serialization;

namespace LitwareHR.Portfolio.Contract
{
    [DataContract, Serializable]
    public class ProvisioningException : Exception
    {
        public ProvisioningException()
        {

        }

        public ProvisioningException(string message, Exception inner)
            : base(message, inner)
        {

        }

        public ProvisioningException(string message)
            : base(message)
        {

        }

        protected ProvisioningException(SerializationInfo info, StreamingContext context)
            : base(info, context)
        {

        }
    }
}
