//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Collections.Generic;
using System.Text;

namespace LitwareHR.PrivateApp.Presenters.ConfigCusto.Process
{
    [Serializable]
    public class WorkflowRule
    {
        private string _property;

        public string Property
        {
            get { return _property; }
            set { _property = value; }
        }

        private int _operation;

        public int Operation
        {
            get { return _operation; }
            set { _operation = value; }
        }

        private string _value;

        public string Value
        {
            get { return _value; }
            set { _value = value; }
        }

        private Guid _targetWorkflowId;

        public Guid TargetWorkflowId
        {
            get { return _targetWorkflowId; }
            set { _targetWorkflowId = value; }
        }
    }
}
