//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;

/// <summary>
/// Summary description for Constants
/// </summary>
static public class Constants
{
    public const int MaxRulesetRows = 10;

    public const string EntityDefNameQS = "entityDefName";
    public const string EntityDefNameCookie = "Cookie20AD714FB9CD4152B92A6336BB7C2F24}";

    public const string EntityDefIdQS = "entityDefId";
    public const string EntityDefIdCookie = "Cookie0DDB4E0CAE8F41e59A7662A95E412524";

    public const string ViewDefIdQS = "viewDefId";
    public const string ViewDefIdCookie = "CookieC94CA7FF8BB4428e9F034B4159915F7F";

    public const string FieldsViewStateKey = "{A0658341-F9C1-4313-83CB-1C63B5298F13}";
    public const string MenuItemsViewStateKey = "{9BB02700-AF27-422d-B904-9971BB3460D5}";

    public const string DefViewStateKey = "{DF9A4BC3-5AFA-4727-B3DB-3D849A60E53E}";

    public const string TenantIdSessionKey = "{10EECD01-D540-4976-821B-A7D1D621DA9C}";

    public const string FunctionalMasterPage = "~/MP/Functional.master";
    public const string ClassicMasterPage = "~/MP/Classic.master";

}