<%@ Page Language="C#" MasterPageFile="~/MP/Classic.master" AutoEventWireup="true"
    CodeFile="Authorization.aspx.cs" Inherits="ConfigCusto_Authorization" %>

<asp:Content ID="Content1" ContentPlaceHolderID="PageContainer" runat="Server">
    <h2>
        Authorization</h2>
    <p>
        Select the actions you want to allow.</p>
    <p>
        <asp:GridView ID="ActionsGrid" DataKeyNames="ActionId" runat="server" AutoGenerateColumns="False"
            Width="100%">
            <Columns>
                <asp:TemplateField HeaderText="Action">
                    <ItemTemplate>
                        <label title="<%# Eval("ActionUri") %>">
                            <%# Eval("Description") %>
                        </label>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField>
                    <ItemTemplate>
                        <asp:CheckBox ID="IsAuthorizedCheckBox" runat="server" Checked='<%# Eval("IsAuthorized") %>' />
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>
    </p>
    <p>
        <asp:Button ID="SaveButton" runat="server" Text="Save configuration" OnClick="SaveButton_Click" />
    </p>
</asp:Content>
