<%@ Page Language="C#" MasterPageFile="~/MP/Classic.master" AutoEventWireup="true"
    CodeFile="SelectIdentity.aspx.cs" Inherits="ConfigCusto_SelectIdentity" %>

<asp:Content ID="Content1" ContentPlaceHolderID="PageContainer" runat="Server">
    <h2>
        Users & Roles</h2>
    <p>
        Select a user or group to configure authorization.</p>
    <h3>
        Roles</h3>
    <asp:GridView ID="rolesGrid" runat="server" AutoGenerateColumns="false">
        <Columns>
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:HyperLink ID="SelectHyperLink" runat="server" NavigateUrl='<%# "Authorization.aspx?credential=" + Container.DataItem %>'
                        Text="Select" />
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="Role Name">
                <ItemTemplate>
                    <%# Container.DataItem %>
                </ItemTemplate>
            </asp:TemplateField>
        </Columns>
    </asp:GridView>
    <h3>
        Users</h3>
    <asp:GridView ID="usersGrid" runat="server" AutoGenerateColumns="false">
        <Columns>
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:HyperLink ID="SelectHyperLink" runat="server" NavigateUrl='<%# "Authorization.aspx?credential=" + Container.DataItem + "@" + Helpers.TenantAlias %>'
                        Text="Select" />
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="User Name">
                <ItemTemplate>
                    <%# Container.DataItem %>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:HyperLink ID="ManageRolesLink" runat="server" NavigateUrl='<%# "ManageUserRoles.aspx?username=" + Container.DataItem %>'>Manage Roles</asp:HyperLink>
                </ItemTemplate>
            </asp:TemplateField>
        </Columns>
    </asp:GridView>
</asp:Content>
