<%@ Page Language="C#" MasterPageFile="~/MP/Classic.master" AutoEventWireup="true"
    CodeFile="Login.aspx.cs" Inherits="Login" %>

<asp:Content ID="Content1" ContentPlaceHolderID="PageContainer" runat="Server">
    <asp:Login ID="LoginControl" runat="server" CreateUserText="Sign Up" CreateUserUrl="~/Register.aspx"
        OnLoggedIn="LoginControl_LoggedIn" TitleText="" OnLoggingIn="LoginControl_LoggingIn">
        <LayoutTemplate>
            <table border="0">
                <tr>
                    <td colspan="2">
                        <h1>
                            Log in</h1>
                    </td>
                    <td>
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                    </td>
                    <td>
                    </td>
                </tr>
                <tr>
                    <td class="form-label">
                        <asp:Label ID="UserNameLabel" runat="server" AssociatedControlID="UserName">User Name:</asp:Label></td>
                    <td>
                        <asp:TextBox ID="UserName" runat="server" Width="150px"></asp:TextBox></td>
                    <td>
                        <asp:RequiredFieldValidator ID="UserNameRequired" runat="server" ControlToValidate="UserName"
                            ErrorMessage="User Name is required." ToolTip="User Name is required." ValidationGroup="loginControl">*</asp:RequiredFieldValidator></td>
                </tr>
                <tr>
                    <td class="form-label">
                        <asp:Label ID="PasswordLabel" runat="server" AssociatedControlID="Password">Password:</asp:Label></td>
                    <td>
                        <asp:TextBox ID="Password" runat="server" TextMode="Password" Width="150px"></asp:TextBox>
                    </td>
                    <td>
                        <asp:RequiredFieldValidator ID="PasswordRequired" runat="server" ControlToValidate="Password"
                            ErrorMessage="Password is required." ToolTip="Password is required." ValidationGroup="loginControl">*</asp:RequiredFieldValidator></td>
                </tr>
                <tr>
                    <td style="padding-left: 76px" colspan="2">
                        <asp:CheckBox ID="RememberMe" runat="server" Text="Remember me next time." /></td>
                    <td>
                    </td>
                </tr>
                <tr>
                    <td>
                    </td>
                    <td>
                        &nbsp;</td>
                    <td>
                    </td>
                </tr>
                <tr>
                    <td>
                    </td>
                    <td>
                        <asp:Button ID="LoginButton" runat="server" CommandName="Login" Text="Log In" ValidationGroup="loginControl"
                            Width="75px" /></td>
                    <td>
                    </td>
                </tr>
                <tr>
                    <td>
                    </td>
                    <td style="color: red">
                        <asp:Literal ID="FailureText" runat="server" EnableViewState="False"></asp:Literal></td>
                    <td style="color: red">
                    </td>
                </tr>
                <tr>
                    <td>
                    </td>
                    <td style="color: red">
                        &nbsp;</td>
                    <td style="color: red">
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        If you are not a registered user,
                        <asp:HyperLink ID="HyperLink1" runat="server" NavigateUrl="~/Register.aspx">Sign Up here.</asp:HyperLink></td>
                    <td style="color: red">
                    </td>
                </tr>
            </table>
        </LayoutTemplate>
    </asp:Login>
    <asp:Label ID="globalFailureText" runat="server" ForeColor="Red"></asp:Label>
</asp:Content>
