<%@ Page Language="C#" MasterPageFile="~/MP/Classic.master" AutoEventWireup="true"
    CodeFile="Resume.aspx.cs" Inherits="Careers_Recruiting_Resume" %>

<asp:Content ID="Content1" ContentPlaceHolderID="PageContainer" runat="Server">
    <h2>
        Resume</h2>
    <h3>
        Objectives</h3>
    <table>
        <tr>
            <td>
                <asp:Label ID="ObjectiveDescriptionLabel" runat="server" Text="Description"></asp:Label></td>
            <td>
                <asp:TextBox ID="ObjectiveDescriptionTextBox" runat="server" TextMode="MultiLine"></asp:TextBox></td>
        </tr>
    </table>
    <br />
    <div>
        <h3>
            Experiences</h3>
        <h4>
            Experience</h4>
        <table>
            <tr>
                <td>
                    <asp:Label ID="ExperienceStartDateLabel" runat="server" Text="Start Date"></asp:Label></td>
                <td class="date">
                    <asp:TextBox ID="ExperienceStartDateTextBox" runat="server"></asp:TextBox>
                    <asp:Label ID="ExperienceStartDateFormatLabel" runat="server"></asp:Label>
                    <asp:RangeValidator ID="ExperienceStartDateRange" runat="server" ErrorMessage="Please enter a valid experience start date"
                        Text="*" Type="Date" ControlToValidate="ExperienceStartDateTextBox"></asp:RangeValidator>
                    <asp:RequiredFieldValidator ID="ExperienceStartDateRequired" runat="server"
                        ErrorMessage="Please enter an experience start date" ControlToValidate="ExperienceStartDateTextBox">*</asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="ExperienceEndDateLabel" runat="server" Text="End Date"></asp:Label></td>
                <td class="date">
                    <asp:TextBox ID="ExperienceEndDateTextBox" runat="server"></asp:TextBox>
                    <asp:Label ID="ExperienceEndDateFormatLabel" runat="server"></asp:Label>
                    <asp:RangeValidator ID="ExperienceEndDateRange" runat="server" ErrorMessage="Please enter a valid experience end date"
                        Text="*" Type="Date" ControlToValidate="ExperienceEndDateTextBox"></asp:RangeValidator>
                    <asp:RequiredFieldValidator ID="ExperienceEndDateRequired" runat="server"
                        ErrorMessage="Please enter an experience end date" ControlToValidate="ExperienceEndDateTextBox">*</asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="CompanyLabel" runat="server" Text="Company"></asp:Label></td>
                <td>
                    <asp:TextBox ID="CompanyTextBox" runat="server"></asp:TextBox></td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="PositionLabel" runat="server" Text="Position"></asp:Label></td>
                <td>
                    <asp:TextBox ID="PositionTextBox" runat="server"></asp:TextBox></td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="ExperienceDescriptionLabel" runat="server" Text="Description"></asp:Label></td>
                <td>
                    <asp:TextBox ID="ExperienceDescriptionTextBox" runat="server" TextMode="MultiLine"></asp:TextBox></td>
            </tr>
            <tr>
                <td>
                </td>
                <td>
                    <asp:Button ID="AddExperienceButton" runat="server" Text="Add Experience" /></td>
            </tr>
        </table>
    </div>
    <h3>
        Education</h3>
    <table>
        <tr>
            <td>
                <asp:Label ID="EducationStartDateLabel" runat="server" Text="Start Date"></asp:Label></td>
            <td>
                <asp:TextBox ID="EducationStartDateTextBox" runat="server"></asp:TextBox>
                <asp:Label ID="EducationStartDateFormatLabel" runat="server"></asp:Label>
                <asp:RangeValidator ID="EducationStartDateRange" runat="server" ErrorMessage="Please enter a valid education start date"
                    Text="*" Type="Date" ControlToValidate="EducationStartDateTextBox"></asp:RangeValidator>
                <asp:RequiredFieldValidator ID="EducationStartDateRequired" runat="server"
                    ErrorMessage="Please enter an education start date" ControlToValidate="EducationStartDateTextBox">*</asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="EducationEndDateLabel" runat="server" Text="End Date"></asp:Label></td>
            <td>
                <asp:TextBox ID="EducationEndDateTextBox" runat="server"></asp:TextBox>
                <asp:Label ID="EducationEndDateFormatLabel" runat="server"></asp:Label>
                <asp:RangeValidator ID="EducationEndDateRange" runat="server" ErrorMessage="Please enter a valid education end date"
                    Text="*" Type="Date" ControlToValidate="EducationEndDateTextBox"></asp:RangeValidator>
                <asp:RequiredFieldValidator ID="EducationEndDateRequired" runat="server"
                    ErrorMessage="Please enter an education end date" ControlToValidate="EducationEndDateTextBox">*</asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="TitleLabel" runat="server" Text="Title"></asp:Label></td>
            <td>
                <asp:TextBox ID="TitleTextBox" runat="server"></asp:TextBox></td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="UniversityLabel" runat="server" Text="University"></asp:Label></td>
            <td>
                <asp:TextBox ID="UniversityTextBox" runat="server"></asp:TextBox></td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="EducationDescriptionLabel" runat="server" Text="Description"></asp:Label></td>
            <td>
                <asp:TextBox ID="EducationDescriptionTextBox" runat="server" TextMode="MultiLine"></asp:TextBox></td>
        </tr>
    </table>
    <br />
    <h3>
        Interests</h3>
    <table>
        <tr>
            <td>
                <asp:Label ID="InterestsDescriptionLabel" runat="server" Text="Description"></asp:Label></td>
            <td>
                <asp:TextBox ID="InterestsDescriptionTextBox" runat="server" TextMode="MultiLine"></asp:TextBox></td>
        </tr>
    </table>
    <asp:ValidationSummary ID="ValidationSummary" runat="server" />
    <br />
    <asp:Button ID="SubmitButton" runat="server" Text="Submit Resume" OnClick="SubmitButton_Click" />
</asp:Content>