//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Collections.Generic;
using System.Text;

using System.Runtime.Serialization;

namespace LitwareHR.Recruiting.Contract
{
    [DataContract, Serializable]
    public class Acceptance : EvaluationProcess
    {
        private string _notes;
        private string _instructions;

        [DataMember]
        public string Notes
        {
            get { return _notes; }
            set { _notes = value; }
        }

        [DataMember]
        public string Instructions
        {
            get { return _instructions; }
            set { _instructions = value; }
        }
    }
}