//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Collections.Generic;
using System.Runtime.Serialization;

namespace Shp.Runtime.Contract
{
    [DataContract]
    public class WorkflowDto
    {
        private Guid _id;
        [DataMember]
        public Guid Id
        {
            get { return _id; ; }
            set { _id = value; }
        }

        private Guid _tenantId;
        [DataMember]
        public Guid TenantId
        {
            get { return _tenantId; }
            set { _tenantId = value; }
        }

        private string _name;
        [DataMember]
        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }

        private string _xoml;
        [DataMember]
        public string Xoml
        {
            get { return _xoml; }
            set { _xoml = value; }
        }
    }
}